﻿using GAFNETBlazor.Pages;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Spinner;
using System.Threading.Tasks;

namespace GAFNETBlazor.Components.PesquisaFaturamento;

public partial class PesquisaFaturamento
{
    protected SfSpinner SpinnerPrincipal;
    protected MeuToast MeuToast;
    protected SfNumericTextBox<long> IdFormularioInput { get; set; }
    protected SfNumericTextBox<long> IdHistoricoInput { get; set; }
    [Inject]
    public IPesquisaFaturamentoVM ViewModel { get; set; }
    protected override void OnAfterRender(bool firstRender)
    {

        ViewModel.IdFormularioInput = IdFormularioInput;
        ViewModel.IdHistoricoInput = IdHistoricoInput;
        ViewModel.SpinnerPrincipal = SpinnerPrincipal;
        ViewModel.MeuToast = MeuToast;
    }
    protected override async Task OnInitializedAsync()
    {
        await base.OnInitializedAsync();
        ViewModel.PropriedadeMudou += (o, e) => StateHasChanged();
    }

}
