﻿using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.Spinner;
using System.Threading.Tasks;

namespace GAFNETBlazor.Components.PesquisaPessoa
{
    public partial class PesquisaPessoa
    {
        protected SfSpinner SpinnerPrincipal;
        protected MeuToast MeuToast;
        [Inject]
        public IPesquisaPessoaVM ViewModel { get; set; }
        
        protected override async Task OnInitializedAsync()
        {
            await base.OnInitializedAsync();
            ViewModel.PropriedadeMudou += (o, e) => StateHasChanged();
        }
    }
}
