﻿using System;

namespace GAFNETBlazor.Constantes
{
    public static class URIsPessoas
    {
        static string UriBase => "https://www.pessoas.gafnetapi.com.br/api/";
        //static string UriBase => "http://localhost:57038/api/";
        public static Uri PostAsync => new (UriBase + "pessoas/post");
        public static Uri PutAsync => new (UriBase + "pessoas/put");
        public static Uri GetAsync => new (UriBase + "pessoas/get");
        public static Uri GetByCnpjAsync => new (UriBase + "pessoas/getbycnpj?");
        public static Uri GetClientesAsync => new (UriBase + "pessoas/getclientes?");
        public static Uri GetFornecedoresAsync => new (UriBase + "pessoas/getfornecedores?");
        public static Uri GetTransportadorasAsync => new (UriBase + "pessoas/gettransportadoras?");
        public static Uri GetModelosBoletoAsync => new (UriBase + "modelosboleto/get");
        public static Uri GetPaisesAsync => new (UriBase + "paises/get");
        public static Uri GetProdutosAsync => new (UriBase + "produtos/get");
        public static Uri GetCidadesAsync => new (UriBase + "cidades/get");
        public static Uri GetVendedoresAsync => new (UriBase + "pessoas/get");
        public static Uri GetHistoricosAsync => new (UriBase + "historicos/get");
        public static Uri GetPlanosDeContaAsync => new (UriBase + "planosdeconta/get");
        public static Uri GetCentrosDeCustoAsync => new (UriBase + "centrosdecusto/get");
        public static Uri GetCondicoesDePagamentoAsync => new (UriBase + "condicoesdepagamento/get");
        public static Uri GetTiposDeOperacaoAsync => new (UriBase + "tiposdeoperacao/get");
    }
}
