﻿using BoldReports.Web;
using GAFNETLibrary.Enums;
using System;
using System.Collections.Generic;

namespace GAFNETBlazor.Models
{
    public class BoldReportViewerOptions
    {
        public string ReportName { get; set; }

        public string ServiceURL { get; set; }

        public string Campos { get; set; }
        public Uri UriBase { get; set; }
        public string Ordenacao { get; set; }
        public string QtdRegistros { get; set; }
        public string Filtros { get; set; }
        public ServicoDados ServicoDados { get; set; }

        public ReportDataSourceCollection DataSources { get; set; }
    }

    // The default SerializerSettings of Balzor application uses camelCase serializer with an interaction of JavaScript interop.
    /// So, we don’t have need to define the property name with camelCase as like the JavaScript code snippets available in documentation.

    public class BoldReportParameter
    {
        public string Name { get; set; }

        public List<string> Values { get; set; }
    }
}
