﻿using System.ComponentModel.DataAnnotations.Schema;

namespace GAFNETBlazor.Models;

public partial record DetalhamentoPagarReceberModel
{
    public long Id { get; set; }
    public long IdItemPagarReceber { get; set; }
    public int NDetalhamento { get; set; }
    public long IdPlanoDeConta { get; set; }
    public long IdCentroDeCusto { get; set; }
    public long IdTipoDeOperacao { get; set; }
    public long? IdContaApropriacao { get; set; }
    [Column(TypeName = "numeric(18, 2)")]
    public decimal Valor { get; set; }
    public ItemPagarReceberModel ItemPagarReceber { get; set; }
    public PlanoDeContaModel PlanoDeConta { get; set; }
    public CentroDeCustoModel CentroDeCusto { get; set; }
    public TipoDeOperacaoModel TipoDeOperacao { get; set; }
    public PlanoDeContaModel ContaApropriacao { get; set; }
}
