﻿using System.Collections.Generic;

namespace GAFNETBlazor.Models
{
    public class ModeloBoletoModel
    {
        public long Id { get; set; }

        public string Nome { get; set; }

        public long IdCaixaBanco { get; set; }

        public long? IdTipoDeOperacao { get; set; }

        public decimal? PercJuroMes { get; set; }

        public decimal? Numero { get; set; }

        public string Agencia { get; set; }

        public string DVAgencia { get; set; }

        public string ContaCorrente { get; set; }

        public string DVContaCorrente { get; set; }

        public string CdCedente { get; set; }

        public string NumeroConvenio { get; set; }

        public string CdCarteira { get; set; }

        public string VariacaoCarteira { get; set; }

        public int? DescontoAte { get; set; }

        public decimal? PercDesc { get; set; }

        public int? AbatimentoAte { get; set; }

        public decimal? PercAbatimento { get; set; }

        public bool Aceite { get; set; }

        public string EspecieTitulo { get; set; }

        public int? PrefixoTitulo { get; set; }

        public int? Boletos { get; set; }

        public decimal? PercMultaAtraso { get; set; }

        public bool UsaValorExtenso { get; set; }

        public int LayoutBoleto { get; set; }

        public string LocalPagamento { get; set; }

        public string ArqLicencaCobrebem { get; set; }

        public string ArqLogotipo { get; set; }

        public string ArqImagemCdBarra { get; set; }

        public string EnderecoArqRemessa { get; set; }

        public string LayoutCobrebem { get; set; }

        public string InstrucoesBancarias { get; set; }

        public string MascaraNossoNumero { get; set; }

        public string CdTransmissao { get; set; }

        public string LayoutArqRetorno { get; set; }

        public string EnderecoArqRetorno { get; set; }

        public int SequenciaRemessa { get; set; }

        public int? PrazoParaDevTitAoCedente { get; set; }

        public string Modalidade { get; set; }

        public string CarteiraBancoob { get; set; }

        public bool SacadorDadosFixos { get; set; }

        public string DescricaoCarteira { get; set; }

        public decimal MargemSuperior { get; set; }

        public string AgenciaBeneficiario { get; set; }

        public int DiasParaProtesto { get; set; }

        public long? IdGAF { get; set; }

        public bool Ativo { get; set; }

        public ICollection<PessoaModel> Pessoas { get; }
    }
}
