﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace GAFNETBlazor.Models;
[Table(name: "PagarReceber")]
public partial class PagarReceberModel
{
    public long Id { get; set; }
    public long IdPessoa { get; set; }
    public long? IdFaturamento { get; set; }
    public int Tipo { get; set; }
    public DateTime DtEmissao { get; set; }
    [Column(TypeName = "numeric(18, 2)")]
    public decimal Valor { get; set; }
    [StringLength(2000)]
    public string Observacoes { get; set; }
    [StringLength(20)]
    public string NDocto { get; set; }
    [StringLength(3)]
    public string SerieDocto { get; set; }
    public int NParcelas { get; set; }
    public int VarDias { get; set; }
    public bool VctoParcDiaFixo { get; set; }
    public bool ApropriacaoDiaFixo { get; set; }
    public PessoaModel Pessoa { get; set; } = new();
    public List<ItemPagarReceberModel> Itens { get; set; } = new();

}
