﻿namespace GAFNETBlazor.Models;

public class ParamRelatPessoaModel : ParamRelatModel
{
    public string NomeInicial { get; set; }
    public string NomeFinal { get; set; }
    public string UF { get; set; }
    public string NomeCidade { get; set; }
    public int StatusAtivo { get; set; } = (int)(GAFNETLibrary.Enums.StatusAtivo.Todos);
    public bool Clientes { get; set; }
    public bool Fornecedores { get; set; }
    public bool Transportadoras { get; set; }
    public bool Vendedores { get; set; }

    public void ResetarParametros()
    {
        NomeInicial = string.Empty;
        NomeFinal = string.Empty;
        NomeCidade = string.Empty;
        UF = string.Empty;
        StatusAtivo = (int)(GAFNETLibrary.Enums.StatusAtivo.Todos);
        QtdRegistros = 0;
        Clientes = false;
        Fornecedores = false;
        Transportadoras = false;
        Vendedores = false;
        Ordenacao.Clear();
    }
}
