﻿using GAFNETBlazor.Enums;
using System.ComponentModel.DataAnnotations.Schema;

namespace GAFNETBlazor.Models;

[Table("Parametrizacoes")]
public partial class ParametrizacaoModel
{
    public int Id { get; set; }
    public bool SuspenderDIFA { get; set; } = false;
    public string CertificadoNFe { get; set; }
    public string SenhaCertificadoNFe { get; set; }
    public int TipoAmbienteNFe { get; set; } = (int)TipoAmbienteNFeACBr.taHomologacao;
    public string DANFENFe { get; set; }
    public string LogoDANFENFe { get; set; }
    public int TipoEmissaoNFe { get; set; } = (int)TipoEmissaoNFeACBr.teNormal;
    public string EMail { get; set; }
    public string SMTP { get; set; }
    public string SenhaEMail { get; set; }
    public int PortaEMail { get; set; }
    public bool UsaVendedor { get; set; }
    public bool CodigoAutomaticoNoProduto { get; set; }
}
