﻿using GAFNETLibrary.Enums;
using System;

namespace GAFNETBlazor.Models
{
    public partial class PesquisaPagarReceberModel
    {
        public long Id { get; set; }
        public int Tipo { get; set; }
        public string NDocto { get; set; }
        public int TipoPesquisaNomePessoa { get; set; } = (int)TipoPesquisaString.ComecaCom;
        public string NomePessoa { get; set; }
        public int Serie { get; set; }
        public DateTime? DtEmissaoIni { get; set; }
        public DateTime? DtEmissaoFin { get; set; }
        public decimal Valor { get; set; }
        public int QtdRegistros { get; set; }
        public string Ordem { get; set; }
    }
}
