﻿using FluentValidation;

namespace GAFNETBlazor.Models.Validations
{
    public class CentroDeCustoModelValidator : AbstractValidator<CentroDeCustoModel>
    {
        int tamanhoNome = 50;
        public CentroDeCustoModelValidator()
        {
            RuleFor(p => p.Nome).NotEmpty().WithMessage("O nome deve ser informado");
            RuleFor(p => p.Nome).MaximumLength(tamanhoNome).WithMessage($"O nome deve conter no máximo {tamanhoNome} caracteres");
        }
    }
}