﻿using GAFNETBlazor.Components;
using GAFNETBlazor.ViewModels.Interfaces.Administrativo;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.Spinner;
using System.Threading.Tasks;

namespace GAFNETBlazor.Pages.Administrativo.Manutencao
{
    public partial class TabelaIBPTPage : MeuComponentBase
    {
        [Inject]
        public ITabelaIBPTVM ViewModel { get; set; }
        protected SfSpinner SpinnerPrincipal;
        protected MeuToast MeuToast;
        protected override void OnAfterRender(bool firstRender)
        {
            ViewModel.SpinnerPrincipal = SpinnerPrincipal;
            ViewModel.MeuToast = MeuToast;
        }
        protected override async Task OnInitializedAsync()
        {
            await base.OnInitializedAsync();
            if (!string.IsNullOrEmpty(ViewModel.UrlRedirecionamento.ToString()))
            {
                NavigationManager.NavigateTo(ViewModel.UrlRedirecionamento.ToString());
                return;
            }
            ViewModel.PropriedadeMudou += (o, e) => StateHasChanged();
        }

    }
}
