﻿using GAFNETBlazor.Models;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.DropDowns;
using System.Collections.Generic;

namespace GAFNETBlazor.Pages.Usuario.Cadastros.Aliquotas
{
    public partial class TabInterestAliquota : MeuComponentBase
    {
        [Parameter]
        public ICadastroAliquotaVM ViewModel { get; set; }
        private Dictionary<string, object> HtmlAttributeCodigoBeneficioFiscalInterest { get; set; }
        private SfDropDownList<string, string> UFDropDownList { get; set; }

        protected override void OnAfterRender(bool firstRender)
        {
            ViewModel.UFDropDownList = UFDropDownList;
            HtmlAttributeCodigoBeneficioFiscalInterest = new Dictionary<string, object>()
            {
                {"maxlength", "8" }
            };
        }

    }
}
