﻿
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.Inputs;

namespace GAFNETBlazor.Pages.Usuario.Movimentacoes.Compras
{
    public partial class CamposFinanceiroCompra
        : MeuComponentBase
    {
        [Parameter]
        public ICompraVM ViewModel { get; set; }
        protected SfNumericTextBox<long> IdPlanoDeContaInput { get; set; }
        protected SfNumericTextBox<long> IdCondPgtoInput { get; set; }
        protected SfNumericTextBox<long> IdTipoDeOperacaoInput { get; set; }
        protected SfNumericTextBox<long> IdCentroDeCustoInput { get; set; }

        protected override void OnAfterRender(bool firstRender)
        {
            if (firstRender)
            {
                ViewModel.IdCondPgtoInput = IdCondPgtoInput;
                ViewModel.IdTipoDeOperacaoInput = IdTipoDeOperacaoInput;
                ViewModel.IdCentroDeCustoInput = IdCentroDeCustoInput;
            }
            
        }
    }
}
