﻿using GAFNETBlazor.Components;
using GAFNETBlazor.ViewModels.Interfaces.Usuario.Relatorios;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.Spinner;
using System.Threading.Tasks;

namespace GAFNETBlazor.Pages.Usuario.Relatorios.Pessoas;

public partial class ParamRelatPessoas
{
    [Inject]
    public IParamRelatPessoasVM ViewModel { get; set; }
    protected SfSpinner SpinnerPrincipal;
    protected MeuToast MeuToast;
    protected override void OnAfterRender(bool firstRender)
    {

        ViewModel.SpinnerPrincipal = SpinnerPrincipal;
        ViewModel.MeuToast = MeuToast;
    }
    protected override async Task OnInitializedAsync()
    {
        await base.OnInitializedAsync();
        ViewModel.PropertyChanged += (o, e) => StateHasChanged();
    }

}
