﻿using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Usuario;
using Microsoft.AspNetCore.Components;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.Pages.Usuario.Relatorios
{
    public partial class Relatorios : MeuComponentBase
    {
        protected List<ItemPageModel> itens = new List<ItemPageModel>();
        protected override async Task OnInitializedAsync()
        {
            if (!string.IsNullOrEmpty(LoginStore.Token))
            {
                itens = await ItensRelatoriosService.Itens();
            }
            else
            {
                NavigationManager.NavigateTo("/Login");
            }

        }
    }
}
