﻿using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Usuario;
using GAFNETBlazor.Stores.Interfaces;
using Microsoft.AspNetCore.Components;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.Pages.Usuario
{
    public partial class UsuarioManutencao : ComponentBase
    {
        protected List<ItemPageModel> itens = new List<ItemPageModel>();
        [Inject]
        ILoginStore LoginStore { get; set; }
        [Inject]
        NavigationManager NavigationManager { get; set; }
        protected override async Task OnInitializedAsync()
        {
            if (LoginStore.Token != null)
            {
                itens = await ItensManutencaoService.Itens();
            }
            else
            {
                NavigationManager.NavigateTo("/Login");
            }

        }
    }
}
