﻿using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using GAFNETLibrary.Enums;

namespace GAFNETBlazor.Services
{
    public class DadosDevolucaoService : IDadosDevolucaoService
    {
        public IDevolucaoVM DevolucaoVM { get; set; }
        public IFaturamentoVM FaturamentoVM { get; set; }
        public FaturamentoModel FaturamentoADevolver { get; set; }
        public FaturamentoModel FaturamentoFinal { get; set; }
        public TipoAcaoFaturamento TipoAcaoFaturamento { get; set; }

    }
}
