﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class FinNFeHistoricoService : IFinNFeHistoricoService
    {
        public List<ListaModel> Itens()
        {
            var tipos = new List<ListaModel>
            {
                new ListaModel{Valor = (int)FinNFeHistorico.Normal, Descricao = "Normal"},
                new ListaModel{Valor = (int)FinNFeHistorico.Complementar, Descricao = "Complementar"},
                new ListaModel{Valor = (int)FinNFeHistorico.Ajuste, Descricao = "Ajuste"},
                new ListaModel{Valor = (int)FinNFeHistorico.Devolucao, Descricao = "Devolução"},
            };
            return tipos;
        }
    }
}
