﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class IndicadoresIEService : IIndicadoresIEService
    {
        public List<ListaModel> Itens()
        {
            var indicadoresIE = new List<ListaModel>
            {
                new ListaModel{Valor = (int?)IndicadorIE.Contribuinte, Descricao = "Contribuinte"},
                new ListaModel{Valor = (int?)IndicadorIE.Isento, Descricao = "Isento"},
                new ListaModel{Valor = (int?)IndicadorIE.NaoContribuinte, Descricao = "Não Contribuinte"}

            };
            return indicadoresIE;
        }
    }
}
