﻿using GAFNETBlazor.Models;
using System.Net.Http;
using System.Threading.Tasks;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IClaimsService
    {
        Task<HttpResponseMessage> CriarClaim(ClaimModel claim);
        Task<HttpResponseMessage> GetClaims();
        Task<HttpResponseMessage> GetClaimByName(string nome);
        Task<HttpResponseMessage> AlterarClaim(ClaimModel claim);
    }
}
