﻿using GAFNETBlazor.Models;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using GAFNETLibrary.Enums;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IDadosDevolucaoService
    {
        IDevolucaoVM DevolucaoVM { get; set; }
        IFaturamentoVM FaturamentoVM { get; set; }
        FaturamentoModel FaturamentoADevolver { get; set; }
        FaturamentoModel FaturamentoFinal { get; set; }
        TipoAcaoFaturamento TipoAcaoFaturamento { get; set; }
    }
}
