﻿using GAFNETLibrary.Enums;
using GAFNETLibrary.Models;
using System.Net.Http;
using System.Threading.Tasks;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IEmpresasService
    {
        Task<HttpResponseMessage> CriarEmpresa(EmpresaModel Empresa);
        Task<HttpResponseMessage> GetEmpresas(StatusAtivo statusAtivo);
        Task<RespostaAPIModel> GetEmpresaByCNPJ(string cnpj);
        Task<HttpResponseMessage> AlterarEmpresa(EmpresaModel Empresa);
        Task<HttpResponseMessage> AlterarEmpresaComoRepresentante(EmpresaModel Empresa);
        Task<HttpResponseMessage> GetEmpresasByRepresentanteLogado();
    }
}
