﻿using GAFNETBlazor.Models;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using GAFNETLibrary.Enums;
using GAFNETLibrary.Models;
using System.Threading.Tasks;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IEnvioFaturamentoService
    {
        Task<ResultadoModel> CriarAlterarAsync(IFaturamentoBaseVM viewModel);
        Task<ResultadoModel> DuplicarAsync(FaturamentoModel faturamento);
        Task<ResultadoModel> CancelarAsync(long idFaturametno, TipoFaturamento tipoFaturamento);
        Task<ResultadoModel> InutilizarAsync(long idFaturametno);
        Task<ResultadoModel> EstornarAsync(long idFaturamento, string motivoEstorno);
    }
}
