﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using System.Threading.Tasks;
using GAFNETLibrary.Models;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IFaturamentoBaseService
    {
        Task<RespostaAPIModel> CalculaAsync(FaturamentoModel faturamento);
        Task<RespostaAPIModel> GetByIdAndTipoAsync(long id, TipoFaturamento tipo);
        Task<RespostaAPIModel> GetOcorrenciasAsync(FaturamentoModel faturamento);

    }
}
