﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using System.Net.Http;
using System.Threading.Tasks;
using GAFNETLibrary.Models;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IRepresentantesService
    {
        Task<HttpResponseMessage> CriarRepresentante(RepresentanteModel representante);
        Task<HttpResponseMessage> GetRepresentantes(StatusAtivo status);
        Task<HttpResponseMessage> GetRepresentanteById(long id, StatusAtivo status);
        Task<HttpResponseMessage> AlterarRepresentante(RepresentanteModel representante);
    }
}
