﻿using GAFNETLibrary.Models;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.Blazor.Inputs;
using System;
using System.Threading.Tasks;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface ITrocaArquivosService
    {
        ResultadoModel Upload(UploadChangeEventArgs args);
        Task<ResultadoModel> Download(string nomeArquivo);
        Task<ResultadoModel> Download(Uri uri, string nomeArquivo);

    }
}
