﻿using GAFNETBlazor.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.Services.Representante
{
    public static class ItensRepresentanteService
    {
        public static Task<List<ItemPageModel>> Itens()
        {
            List<ItemPageModel> itens = new List<ItemPageModel>();
            itens.Add(new ItemPageModel()
            {
                Caption = "Empresas",
                Link = "/Representante/Empresas",
                Icon = "fas fa-building fa-3x"
            });
            itens.Add(new ItemPageModel()
            {
                Caption = "Uploads",
                Link = "/Representante/Uploads",
                Icon = "fas fa-upload fa-3x"
            });
            itens.Add(new ItemPageModel()
            {
                Caption = "Downloads",
                Link = "/Representante/Downloads",
                Icon = "fas fa-download fa-3x"
            });
            return Task.FromResult(itens);
        }
    }
}
