﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TipoOrdenacaoService : ITipoOrdenacaoService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> tiposOrdenacao = new()
            {
                new ListaModel{Valor = (int)TipoOrdenacao.Ascendente, Descricao = "Ascendente"},
                new ListaModel{Valor = (int?)TipoOrdenacao.Descendente, Descricao = "Descendente"},
            };
            return tiposOrdenacao;
        }
    }
}
