﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposDebitoCreditoContaService : ITiposDebitoCreditoContaService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> itens = new()
            {
                new ListaModel{Valor = (int)TipoDebitoCreditoConta.Debito, Descricao = "0 - Débito"},
                new ListaModel{Valor = (int)TipoDebitoCreditoConta.Credito, Descricao = "1 - Crédito"},
                new ListaModel{Valor = (int)TipoDebitoCreditoConta.Ambas, Descricao = "2 - Ambas"},
            };
            return itens;
        }
    }
}
