﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposPesquisaStringService : ITiposPesquisaStringService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> tiposFaturamento = new()
            {
                new ListaModel{Valor = (int)TipoPesquisaString.Exato, Descricao = "Exato"},
                new ListaModel{Valor = (int)TipoPesquisaString.ComecaCom, Descricao = "Começa com"},
                new ListaModel{Valor = (int)TipoPesquisaString.TerminaCom, Descricao = "Termina com"},
                new ListaModel{Valor = (int)TipoPesquisaString.Contem, Descricao = "Contém"},
            };
            return tiposFaturamento;
        }
    }
}
