﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposProdutoService : ITiposProdutoService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> itensTipoProduto = new()
            {
                new ListaModel{Valor = (int)TipoProduto.Mercadoria, Descricao = "00 - Mercadoria"},
                new ListaModel{Valor = (int)TipoProduto.MateriaPrima, Descricao = "01 - Matéria Prima"},
                new ListaModel{Valor = (int)TipoProduto.Servico, Descricao = "02 - Serviço"},
                new ListaModel{Valor = (int)TipoProduto.Produto, Descricao = "03 - Produto"},
                new ListaModel{Valor = (int)TipoProduto.Embalagem, Descricao = "04 - Embalagem"},
                new ListaModel{Valor = (int)TipoProduto.ProdutoEmProcesso, Descricao = "05 - Produto em Processo"},
                new ListaModel{Valor = (int)TipoProduto.Subproduto, Descricao = "06 - Subproduto"},
                new ListaModel{Valor = (int)TipoProduto.ProdutoIntermediario, Descricao = "07 - Produto Intermediário"},
                new ListaModel{Valor = (int)TipoProduto.MaterialDeUsoConsumo, Descricao = "08 - Material de Uso Consumo"},
                new ListaModel{Valor = (int)TipoProduto.AtivoImobilizado, Descricao = "09 - Ativo Imobilizado"},
                new ListaModel{Valor = (int)TipoProduto.OutrosInsumos, Descricao = "10 - Outros Insumos"},
                new ListaModel{Valor = (int)TipoProduto.Outras, Descricao = "11 - Outras"},

            };
            return itensTipoProduto;
        }
    }
}
