﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.Services.Usuario
{
    public static class ItensRelatoriosService
    {
        public static Task<List<ItemPageModel>> Itens()
        {
            List<ItemPageModel> itens = new()
            {
                new ItemPageModel()
                {
                    Caption = "Pessoas",
                    Link = "/Relatorios/Pessoas",
                    //Link = "/ReportViewer/listagem-clientes-sintetica.rdlc",
                    Icon = "fas fa-address-card fa-3x",
                    GrupoMenu = TipoGrupoMenuPage.Relatorio
                },
            };
            return Task.FromResult(itens);
        }
    }
}
