﻿using System;
using System.Linq;

namespace GAFNETBlazor.Services
{
    public static class UtilitarioService
    {
        public static string CNPJCPFFormatado(string cnpjcpf)
        {
            return !string.IsNullOrEmpty(cnpjcpf) ? cnpjcpf.Length > 11 ? Convert.ToUInt64(cnpjcpf).ToString(@"00\.000\.000\/0000\-00") : Convert.ToUInt64(cnpjcpf).ToString(@"000\.000\.000\-00") : "";
        }
        public static string TelefoneFormatado(string telefone)
        {
            string justNumbers = new string(telefone.Where(Char.IsDigit).ToArray());
            return justNumbers.Length == 11 ? Convert.ToUInt64(justNumbers).ToString(@"\(00\) 00000\-0000") : Convert.ToUInt64(justNumbers).ToString(@"\(00\) 0000\-0000");
        }
    }
}
