﻿using GAFNETBlazor.Services.Interfaces;
using GAFNETBlazor.ViewModels.Interfaces.Administrativo;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Administrativo.CadastroClaim
{
    public static class LocalizaCadastroClaimVM
    {
        public static async Task Localizar(ICadastroClaimVM viewModel, IClaimsService service)
        {
            viewModel.ErrosValidacaoFormulario.Clear();
            viewModel.Localizando = true;
            await CarregaClaimsCadastroClaimVM.Carregar(viewModel, service);
            viewModel.Localizando = false;
            viewModel.DlgClaimsVisible = true;
        }
    }
}
