﻿using GAFNETBlazor.Services.Interfaces;
using GAFNETBlazor.ViewModels.Interfaces.Administrativo;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Administrativo.CadastroRole
{
    public static class LocalizaCadastroRoleVM
    {
        public static async Task Localizar(ICadastroRoleVM viewModel, IRolesService service)
        {
            viewModel.ErrosValidacaoFormulario.Clear();
            viewModel.Localizando = true;
            await CarregaRolesCadastroRoleVM.Carregar(viewModel, service);
            viewModel.Localizando = false;
            viewModel.DlgRolesVisible = true;
        }
    }
}
