﻿//using GAFNETBlazor.Models;
using GAFNETBlazor.ViewModels.Interfaces.Administrativo;
using GAFNETLibrary.Models;

namespace GAFNETBlazor.ViewModels.Administrativo.CadastroUsuario
{
    public static class LimpaTelaCadastroUsuarioVM
    {
        public static void Limpar(ICadastroUsuarioVM viewModel)
        {
            //viewModel.NomeTextBox.FocusAsync();
            viewModel.ErrosValidacaoFormulario.Clear();
            viewModel.UsuarioModel = new UsuarioModel();
            viewModel.ClaimUsuarioSelecionada = string.Empty;
            ((CadastroUsuarioVM)viewModel).ClaimSelecionada = string.Empty;
            viewModel.EmpresaUsuarioSelecionada = new UsuarioEmpresaModel { Empresa = new EmpresaModel() };
            ((CadastroUsuarioVM)viewModel).EmpresaSelecionada = new EmpresaModel();
            viewModel.RoleUsuarioSelecionada = new RoleModel();
            ((CadastroUsuarioVM)viewModel).RoleSelecionada = new RoleModel();
            //viewModel.NomeTextBox.FocusAsync();
        }
    }
}
