﻿using GAFNETBlazor.Models;
using GAFNETLibrary.Models;
using System.Linq;

namespace GAFNETBlazor.ViewModels.Administrativo.CadastroUsuario
{
    public static class RetiraEmpresaCadastroUsuarioVM
    {
        public static void Retirar(CadastroUsuarioVM viewModel)
        {
            if (viewModel.EmpresaUsuarioSelecionada.Id == 0)
            {
                return;
            }
            var usuarioEmpresa = viewModel.UsuarioModel.Empresas.FirstOrDefault(c => c.Id == viewModel.EmpresaUsuarioSelecionada.Id);
            if (usuarioEmpresa != null)
            {
                viewModel.UsuarioModel.Empresas.Remove(usuarioEmpresa);
            }
            viewModel.EmpresaUsuarioSelecionada = new UsuarioEmpresaModel { Empresa = new EmpresaModel() };
        }
    }
}
