﻿using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels
{
    public abstract class CadastroBaseVM : BaseVM
    {
        private bool _dlgVisible;
        private bool _enviando;
        private string _mensagemResultadoEnvio;
        private bool _localizando;

        public string MensagemResultadoEnvio
        {
            get { return _mensagemResultadoEnvio; }
            set
            {
                _mensagemResultadoEnvio = value;
                AoMudarPropriedade(nameof(MensagemResultadoEnvio));
            }
        }
        public bool Enviando
        {
            get { return _enviando; }
            set
            {
                _enviando = value;
                AoMudarPropriedade(nameof(Enviando));
            }
        }
        public bool Localizando
        {
            get { return _localizando; }
            set
            {
                _localizando = value;
                AoMudarPropriedade(nameof(Localizando));
            }
        }
        public bool DlgVisible
        {
            get { return _dlgVisible; }
            set
            {
                _dlgVisible = value;
                AoMudarPropriedade(nameof(DlgVisible));
            }
        }

        public List<string> ErrosValidacaoFormulario { get; } = new List<string>();

    }
}
