﻿using GAFNETLibrary.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Administrativo
{
    public interface ICadastroRoleVM : ICadastroBaseVM
    {
        bool DlgRolesVisible { get; set; }
        RoleModel Role { get; set; }
        RoleModel RoleSelecionada { get; set; }
        List<RoleModel> Roles { get; set; }
        SfTextBox NomeTextBox { get; set; }
        void AoSelecionarRole(RowSelectEventArgs<RoleModel> e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void AoClicarNovoRegistroBtn(MouseEventArgs e);
        void AoFecharDlgRoles(object e);
        void AoCriarNomeTextBox(object e);
        void AoClicarOkBtnDlgRoles(MouseEventArgs e);
        SfDialog Dlg { get; set; }

    }
}
