﻿using GAFNETLibrary.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Popups;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Representante
{
    public interface IManutencaoEmpresaVM : ICadastroBaseVM
    {
        bool DlgEmpresasVisible { get; set; }
        EmpresaModel Empresa { get; set; }
        EmpresaModel EmpresaSelecionada { get; set; }
        List<EmpresaModel> Empresas { get; set; }
        void AoSelecionarEmpresa(RowSelectEventArgs<EmpresaModel> e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void AoFecharDlgEmpresas(object e);
        void AoClicarOkBtnDlgEmpresas(MouseEventArgs e);
        void AoClicarSelecionarBtnGridEmpresas(CommandClickEventArgs<EmpresaModel> e);

        SfDialog Dlg { get; set; }
    }
}
