﻿using GAFNETBlazor.Components;
using GAFNETLibrary.Enums;
using Syncfusion.Blazor.Spinner;
using System.ComponentModel;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface IBaseVM
    {
        int TempoToast { get; set; }
        TipoToast TipoToast { get; set; }
        string Mensagem { get; set; }
        SfSpinner SpinnerPrincipal { get; set; }
        MeuToast MeuToast { get; set; }
        public event PropertyChangedEventHandler PropriedadeMudou;
        void AoMudarPropriedade(string propertyName);
        Task ExibirMensagemToast(string mensagem, TipoToast tipoToast);
        Task ExibirMensagemToast(string mensagem, TipoToast tipoToast, int tempoToast);

        Task HideAllToasts();
    }
}
