﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario;

public interface ICadastroCondicaoDePagamentoVM : ICadastroBaseVM
{
    CondicaoDePagamentoModel CondicaoDePagamento { get; set; }
    CondicaoDePagamentoModel CondicaoDePagamentoSelecionada { get; set; }
    List<CondicaoDePagamentoModel> CondicoesDePagamento { get; set; }
    SfTextBox DescricaoParcelasTextBox { get; set; }
    bool PodeAcessar { get; }
    bool DlgCondicoesDePagamentoVisible { get; set; }
    string UrlRedirecionamento { get; }
    SfNumericTextBox<long> CodigoTextBox { get; set; }

    void AoSelecionarCondicaoDePagamento(RowSelectEventArgs<CondicaoDePagamentoModel> e);
    void AoClicarNovoRegistroBtn(MouseEventArgs e);
    void AoClicarLocalizarBtn(MouseEventArgs e);
    void IdAoSairAsync();
    void AoFecharDlgCondicoesDePagamento(object e);
    void AoClicarOkBtnDlgCondicoesDePagamento(MouseEventArgs e);
    void AoClicarSelecionarBtnGridCondicoesDePagamento(CommandClickEventArgs<CondicaoDePagamentoModel> e);
    Task AoPressionarTeclaCondicoesDePagamentoGrid(KeyboardEventArgs args);
}
