﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface ICadastroEmbalagemVM : ICadastroBaseVM
    {
        EmbalagemModel Embalagem { get; set; }
        EmbalagemModel EmbalagemSelecionada { get; set; }
        List<EmbalagemModel> Embalagens { get; set; }
        SfTextBox DescricaoTextBox { get; set; }
        SfDialog Dlg { get; set; }
        bool PodeAcessar { get; }
        bool DlgEmbalagensVisible { get; set; }
        string UrlRedirecionamento { get; }
        void AoSelecionarEmbalagem(RowSelectEventArgs<EmbalagemModel> e);
        void AoClicarNovoRegistroBtn(MouseEventArgs e);
        void AoCriarDescricaoTextBox(object e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void IdAoSairAsync();
        void AoFecharDlgEmbalagens(object e);
        void AoClicarOkBtnDlgEmbalagens(MouseEventArgs e);
    }
}
