﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface ICadastroFormularioVM : ICadastroBaseVM
    {
        FormularioModel Formulario { get; set; }
        FormularioModel FormularioSelecionado { get; set; }
        List<FormularioModel> Formularios { get; set; }
        SfTextBox NomeTextBox { get; set; }
        SfDialog Dlg { get; set; }
        List<ListaModel> TiposFormulario { get; }
        bool PodeAcessar { get; }
        bool DlgFormulariosVisible { get; set; }
        string UrlRedirecionamento { get; }
        void AoSelecionarFormulario(RowSelectEventArgs<FormularioModel> e);
        void AoClicarNovoRegistroBtn(MouseEventArgs e);
        void AoCriarNomeTextBox(object e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void IdAoSairAsync();
        void AoFecharDlgFormularios(object e);
        void AoClicarOkBtnDlgFormularios(MouseEventArgs e);
    }
}
