﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface ICadastroGeneroProdutoVM : ICadastroBaseVM
    {
        GeneroProdutoModel Genero { get; set; }
        GeneroProdutoModel GeneroSelecionada { get; set; }
        List<GeneroProdutoModel> Generos { get; set; }
        SfNumericTextBox<int> CodigoTextBox { get; set; }
        SfDialog Dlg { get; set; }
        bool PodeAcessar { get; }
        bool DlgGenerosVisible { get; set; }
        string UrlRedirecionamento { get; }
        void AoSelecionarGenero(RowSelectEventArgs<GeneroProdutoModel> e);
        void AoClicarNovoRegistroBtn(MouseEventArgs e);
        void AoCriarCodigoTextBox(object e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void IdAoSairAsync();
        void AoFecharDlgGeneros(object e);
        void AoClicarOkBtnDlgGeneros(MouseEventArgs e);
    }
}
