﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.DropDowns;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface ICadastroUFICMSVM : ICadastroBaseVM
    {
        UFICMSModel UFICMS { get; set; }
        UFICMSModel UFICMSSelecionada { get; set; }
        List<UFICMSModel> UFICMSs { get; set; }
        SfDropDownList<string, string> UFDropDownList { get; set; }
        SfDialog Dlg { get; set; }
        List<string> ListaUFs { get; }
        bool PodeAcessar { get; }
        bool DlgUFICMSsVisible { get; set; }
        string UrlRedirecionamento { get; }
        void AoSelecionarUFICMS(RowSelectEventArgs<UFICMSModel> e);
        void AoClicarNovoRegistroBtn(MouseEventArgs e);
        void AoCriarUFDropDownList(object e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void AoFecharDlgUFICMSs(object e);
        void AoClicarOkBtnDlgUFICMSs(MouseEventArgs e);
        void AoSelecionarUF();

    }
}
