﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Inputs;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface ICompraVM : IFaturamentoBaseVM
    {
        bool DlgDevolucaoVisible { get; set; }
        bool DlgDeParaImportacaoXMLVisible { get; set; }
        bool DlgImportacaoXMLVisible { get; set; }
        bool HistoricosDlgImportacaoXMLBtnEnabled { get; set; }
        public string NPedCompDlgImportXML { get; set; }
        public SolicitanteProdutosCompra SolicitanteProdutos { get; set; }
        public SolicitanteHistoricosCompra SolicitanteHistoricos { get; set; }
        FaturamentoModel FaturamentoEmImportacao { get; set; }
        FaturamentoModel FaturamentoEmDevolucao { get; set; }
        List<ListaModel> ListaTabelaA { get; }
        List<ListaModel> ListaSitTrib { get; }
        bool PesquisandoHistoricosDlgImportacaoXML { get; set; }
        IDeParaCompraImportacaoXMLVM DeParaCompraImportacaoXMLVM { get; set; }
        string UrlUploadXML { get; }
        public SfNumericTextBox<long> IdHistoricoImportacaoXMLInput { get; set; }
        public SfNumericTextBox<int> SerieInput { get; set; }
        void AoClicarHistoricosDlgImportacaoXMLBtnAsync(MouseEventArgs e);
        void AoFecharDlgDeParaImportacaoXML(object e);
        void AoFecharDlgImportacaoXML(object e);
        void AoClicarOkBtnDlgDeParaImportacaoXML(MouseEventArgs e);
        void AoClicarOkBtnDlgImportacaoXML(MouseEventArgs e);
        void SerieAoSairAsync();
        void NPedCompDlgImportXMLAoSairAsync();
        void IdHistoricoImportacaoXMLAoSairAsync();
        void AoSelecionarFileUpload(UploadChangeEventArgs args);
        void AoAlterarSituacaoTributaria();
        void AoAlterarTabelaA();
        void AoFecharDlgDevolucao(object e);
        void AoClicarOkBtnDlgDevolucao(MouseEventArgs e);
    }
}
