﻿using GAFNETBlazor.Models;
using GAFNETLibrary.Models;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using System.Collections.Generic;
using System.ComponentModel;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface ITrocaSenhaUsuarioVM
    {
        string MensagemErro { get; set; }
        string MensagemResultadoEnvio { get; set; }
        bool Enviando { get; set; }
        bool DlgVisible { get; set; }
        void Enviar();
        event PropertyChangedEventHandler PropertyChanged;
        void OnPropertyChanged(string propertyName);
        List<string> ErrosValidacaoFormulario { get; }
        bool DadosValidos();
        UsuarioModel UsuarioModel { get; set; }
        SfTextBox SenhaTextBox { get; set; }
        void AoCriarSenhaTextBox(object e);
        void AoFecharDlg(object e);
        SfDialog Dialogo { get; set; }

    }
}
