﻿using GAFNETBlazor.Components;
using GAFNETBlazor.Models;
using GAFNETLibrary.Enums;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;
using System.ComponentModel;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario.Relatorios;

public interface IParamRelatPessoasVM
{
    ParamRelatPessoaModel Parametros { get; set; }

    void AoClicarRelatorioBtn(MouseEventArgs e);
    void AoClicarResetarParametrosBtn(MouseEventArgs e);
    event PropertyChangedEventHandler PropertyChanged;
    bool Executando { get; set; }
    MeuToast MeuToast { get; set; }
    TipoToast TipoToast { get; set; }
    string Mensagem { get; set; }
    SfSpinner SpinnerPrincipal { get; set; }
    bool RelatorioBtnEnabled { get; set; }
    List<ListaModel> ListaStatusAtivo { get; set; }
    List<ListaModel> ListaNomesRelatorios { get; set; }
    List<ListaModel> ListaCamposOrdenacao { get; }
    public List<string> ListaUFs { get; }
    string NomeRelatorio { get; set; }
    OrdenacaoModel Ordenacao { get; set; }
    List<ListaModel> ListaTipoOrdenacao { get; }
    void AoClicarInserirOrdenacaoBtn(MouseEventArgs e);
    void AoClicarLimparOrdenacaoBtn(MouseEventArgs e);
    Task Executar();
}
