﻿using GAFNETBlazor.Models;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroAliquota
{
    public static class InsereAliqInterestCadastroAliquota
    {
        public async static Task Add(CadastroAliquotaVM viewModel)
        {
            var aliqInterest = viewModel?.AliquotaInterestadual;
            if (aliqInterest.UF == null) return;

            var consulta = viewModel.Aliquota.AliquotasInterestaduais.FirstOrDefault(e => e.UF == aliqInterest.UF);
            if (consulta != null)
            {
                viewModel.Aliquota.AliquotasInterestaduais.Remove(consulta);
            }

            viewModel.Aliquota.AliquotasInterestaduais.Add(aliqInterest);
            viewModel.AliquotaInterestadual = new AliquotaInterestadualModel();
            await viewModel.UFDropDownList.FocusAsync();
        }
    }
}
