﻿using GAFNETBlazor.Models;
using System.Linq;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroAliquota
{
    public static class RetiraAliqInterestCadastroAliquota
    {
        public static Task Retirar(CadastroAliquotaVM viewModel)
        {
            var aliqInterest = viewModel.Aliquota.AliquotasInterestaduais.FirstOrDefault(e => e.UF == viewModel.AliquotaInterestadual.UF);
            if (aliqInterest != null)
            {
                viewModel.Aliquota.AliquotasInterestaduais.Remove(aliqInterest);
            }

            viewModel.AliquotaInterestadual = new AliquotaInterestadualModel();
            return Task.CompletedTask;
        }
    }
}
