﻿using GAFNETBlazor.Models;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroPessoa
{
    public static class InsereProdutoCadastroPessoa
    {
        public static void Add(CadastroPessoaVM viewModel)
        {
            if (viewModel?.ProdutoPessoa.Produto.Id == 0) return;

            viewModel.Pessoa.Produtos = viewModel.Pessoa.Produtos ?? new ObservableCollection<ProdutoPessoaModel>();

            var produtoPessoa = viewModel.Pessoa.Produtos.FirstOrDefault(e => e.Produto.Id == viewModel.ProdutoPessoa.Produto.Id);
            if (produtoPessoa != null)
            {
                viewModel.Pessoa.Produtos.Remove(produtoPessoa);
            }

            viewModel.Pessoa.Produtos.Add(viewModel.ProdutoPessoa);
            viewModel.ProdutoPessoa = new ProdutoPessoaModel { Produto = new ProdutoModel() };
        }
    }
}
