﻿using GAFNETBlazor.Models;
using System.Linq;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroPessoa
{
    public static class RetiraProdutoCadastroPessoa
    {
        public static void Retirar(CadastroPessoaVM viewModel)
        {
            var produtoPessoa = viewModel.Pessoa.Produtos?.FirstOrDefault(e => e.Produto.Id == viewModel.ProdutoPessoa.Produto.Id);
            if (produtoPessoa != null)
            {
                viewModel.Pessoa.Produtos.Remove(produtoPessoa);
            }

            viewModel.ProdutoPessoa = new ProdutoPessoaModel { Produto = new ProdutoModel() };
        }
    }
}
