﻿using GAFNETBlazor.Models;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using System;

namespace GAFNETBlazor.ViewModels.Usuario.PagarReceber;

public static class LimpaTela
{
    public static void Limpar(IPagarReceberVM viewModel)
    {
        var tipoPagarReceber = viewModel.PagarReceber.Tipo;
        viewModel.ErrosValidacaoFormulario.Clear();
        viewModel.PagarReceber = new PagarReceberModel
        {
            Tipo = tipoPagarReceber,
            DtEmissao = DateTime.Today
        };
        viewModel.ItemPagarReceberSelecionado = new ItemPagarReceberModel();
        viewModel.DetalhamentoPagarReceber = new DetalhamentoPagarReceberModel();
        viewModel.PlanoDeConta = new PlanoDeContaModel();
        viewModel.ContaApropriacao = new PlanoDeContaModel();
        viewModel.TipoDeOperacao = new TipoDeOperacaoModel();
        viewModel.CentroDeCusto = new CentroDeCustoModel();
        viewModel.PlanoDeContaSelecionado = new PlanoDeContaModel();
        viewModel.ContaApropriacaoSelecionado = new PlanoDeContaModel();
        viewModel.TipoDeOperacaoSelecionado = new TipoDeOperacaoModel();
        viewModel.CentroDeCustoSelecionado = new CentroDeCustoModel();
    }
}
