﻿using AutoMapper;
using GAFNETBlazor.Models;
using GAFNETLibrary.Models;

namespace GAFNETBlazor
{
    public class AutoMapping : Profile
    {
        public AutoMapping()
        {
            //AllowNullCollections = true;
            CreateMap<FaturamentoModel, FaturamentoDTO>().ReverseMap();
            CreateMap<VendedorFaturamentoModel, VendedorFaturamentoDTO>().ReverseMap();
            CreateMap<ItemFaturamentoModel, ItemFaturamentoDTO>().ReverseMap();
            CreateMap<PessoaModel, PessoaDTO>().ReverseMap();
            CreateMap<AliquotaModel, AliquotaDTO>().ReverseMap();
            CreateMap<AliquotaInterestadualModel, AliquotaInterestadualDTO>().ReverseMap();
            CreateMap<CentroDeCustoModel, CentroDeCustoDTO>().ReverseMap();
            CreateMap<CidadeModel, CidadeDTO>().ReverseMap();
            CreateMap<ClassificacaoFiscalModel, ClassificacaoFiscalDTO>().ReverseMap();
            CreateMap<CondicaoDePagamentoModel, CondicaoDePagamentoDTO>().ReverseMap();
            CreateMap<EMailPessoaModel, EMailPessoaDTO>().ReverseMap();
            CreateMap<EnderecoPessoaModel, EnderecoPessoaDTO>().ReverseMap();
            CreateMap<TelefonePessoaModel, TelefonePessoaDTO>().ReverseMap();
            CreateMap<GeneroProdutoModel, GeneroProdutoDTO>().ReverseMap();
            CreateMap<HistoricoModel, HistoricoDTO>().ReverseMap();
            CreateMap<PaisModel, PaisDTO>().ReverseMap();
            CreateMap<PlanoDeContaModel, PlanoDeContaDTO>().ReverseMap();
            CreateMap<ProdutoModel, ProdutoDTO>().ReverseMap();
            CreateMap<ProdutoPessoaModel, ProdutoPessoaDTO>().ReverseMap();
            CreateMap<SubgrupoProdutoModel, SubgrupoProdutoDTO>().ReverseMap();
            CreateMap<GrupoProdutoModel, GrupoProdutoDTO>().ReverseMap();
            CreateMap<TabelaDePrecoModel, TabelaDePrecoDTO>().ReverseMap();
            CreateMap<TipoDeOperacaoModel, TipoDeOperacaoDTO>().ReverseMap();
            CreateMap<TransportadoraPessoaModel, TransportadoraPessoaDTO>().ReverseMap();
            CreateMap<UnidadeProdutoModel, UnidadeProdutoDTO>().ReverseMap();
            CreateMap<VendedorPessoaModel, VendedorPessoaDTO>().ReverseMap();
            CreateMap<SubgrupoProdutoModel, SubgrupoProdutoDTO>().ReverseMap();
            CreateMap<FormularioModel, FormularioDTO>().ReverseMap();
            CreateMap<RetornoNFeModel, RetornoNFeDTO>().ReverseMap();
            CreateMap<ProdutoFornecedorModel, ProdutoFornecedorDTO>().ReverseMap();
        }
    }
}
