﻿using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.Spinner;
using System.Threading.Tasks;

namespace GAFNETBlazor.Components.PesquisaPagarReceber;

public partial class PesquisaPagarReceber
{
    protected SfSpinner SpinnerPrincipal;
    protected MeuToast MeuToast;
    [Inject]
    public IPesquisaPagarReceberVM ViewModel { get; set; }
    protected override void OnAfterRender(bool firstRender)
    {

        ViewModel.SpinnerPrincipal = SpinnerPrincipal;
        ViewModel.MeuToast = MeuToast;
    }
    protected override async Task OnInitializedAsync()
    {
        await base.OnInitializedAsync();
        ViewModel.PropriedadeMudou += (o, e) => StateHasChanged();
    }

}
