﻿using CommunityToolkit.Mvvm.ComponentModel;

namespace GAFNETBlazor.Models
{
    public partial class ClassificacaoFiscalModel : ObservableObject
    {
        public long Id { get; set; }
        public long? IdUnidadeTributaria { get; set; }

        public int? EX { get; set; }
        public string Descricao { get; set; }
        [ObservableProperty]
        private int numero;
        public bool Ativo { get; set; }
        public int? CEST { get; set; }
        public UnidadeProdutoModel UnidadeTributaria { get; set; }
        public string DescricaoAtivo => Ativo ? "Ativo" : "Inativo";
    }
}
