﻿namespace GAFNETBlazor.Models
{
    public class EMailPessoaModel
    {
        public EMailPessoaModel()
        {
        }

        public long Id { get; set; }

        public long IdPessoa { get; set; }

        public string EMail { get; set; }

        public long? IdGAF { get; set; }
        public bool EhPadrao { get; set; }
        public bool EhBoleto { get; set; }
        public bool EhNFe { get; set; }
        public string DescEhPadrao => EhPadrao ? "Sim" : "Não";
        public string DescEhBoleto => EhBoleto ? "Sim" : "Não";
        public string DescEhNFe => EhNFe ? "Sim" : "Não";
        public PessoaModel Pessoa { get; set; }
        public bool EMailCompleto()
        {
            return !string.IsNullOrEmpty(EMail) && (EhPadrao || EhBoleto || EhNFe);
        }
    }
}
