﻿using GAFNETLibrary.Enums;
using System.Collections.Generic;

namespace GAFNETBlazor.Models
{
    public partial class FormularioModel
    {
        public int Serie { get; set; }
        public bool DetalharICMS { get; set; }
        public bool Ehimpresso { get; set; }
        public bool GerarNSU { get; set; }
        public bool NFEletronica { get; set; }
        public long Id { get; set; }
        public string Nome { get; set; }
        public int Tipo { get; set; }
        public bool Ativo { get; set; }
        public bool Padrao { get; set; }
        public string DescricaoStatus => Ativo ? "Ativo" : "Inativo";
        public ICollection<FaturamentoModel> Faturamentos { get; set; }
        public FormularioModel()
        {
            Tipo = (int)TipoFormulario.ProdutosEServicos;
        }
    }
}
