﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace GAFNETBlazor.Models;

public partial class ItemMovCaixaModel
{
    public long Id { get; set; }
    public int Numero { get; set; }
    public int NParcela { get; set; }
    [Column(TypeName = "numeric(18, 2)")]
    public decimal Valor { get; set; }
    [Column(TypeName = "numeric(18, 2)")]
    public decimal VlrJuros { get; set; }
    [Column(TypeName = "numeric(18, 2)")]
    public decimal VlrDesc { get; set; }
    [StringLength(20)]
    public string NDocto { get; set; }
    [StringLength(3)]
    public string Serie { get; set; }
    [StringLength(1000)]
    public string HistoricoDetalhado { get; set; }
    public long IdMovCaixa { get; set; }
    public long IdPlanoDeConta { get; set; }
    public long IdCentroDeCusto { get; set; }
    public long IdPessoa { get; set; }
    public long? IdTipoDeOperacao { get; set; }
    public long? IdContaApropriacao { get; set; }
    public MovCaixaModel MovCaixa { get; set; }
    public ICollection<MovCaixaModel> MovimentosDeCaixaContrapartida { get; set; }
    public PlanoDeContaModel PlanoDeConta { get; set; }
    public CentroDeCustoModel CentroDeCusto { get; set; }
    public TipoDeOperacaoModel TipoDeOperacao { get; set; }
    public PessoaModel Pessoa { get; set; }
    public PlanoDeContaModel ContaApropriacao { get; set; }
    public ICollection<BaixaPagarReceberModel> BaixasPagarReceber { get; set; }
}
