﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace GAFNETBlazor.Models;

public partial class MovCaixaModel
{
    public long Id { get; set; }
    public int DebCred { get; set; }
    public DateTime Data { get; set; }
    [Column(TypeName = "numeric(18, 2)")]
    public decimal Valor { get; set; }
    [StringLength(1000)]
    public string Historico { get; set; }
    [StringLength(60)]
    public string Portador { get; set; }
    [StringLength(20)]
    public string NDocto { get; set; }
    public DateTime? DtCompensacao { get; set; }
    public long? IdItemContrapartida { get; set; }
    public long IdPlanoDeConta { get; set; }
    public ItemMovCaixaModel ItemContrapartida { get; set; }
    public PlanoDeContaModel PlanoDeConta { get; set; }
    public ICollection<ItemMovCaixaModel> ItensMovCaixa { get; set; }

}
