﻿using System.Collections.ObjectModel;
using System.Linq;

namespace GAFNETBlazor.Models;

public class ParamRelatModel
{
    public int QtdRegistros { get; set; } = 0;
    public ObservableCollection<ListaModel> Ordenacao { get; set; } = new();
    public string Campos { get; set; }
    public string Filtros { get; set; }
    public string NomeRelatorio { get; set; }
    public string GetStrOrdenacao()
    {
        if (!Ordenacao.Any()) return "";

        string ordenacao = "";

        foreach (var campo in Ordenacao)
        {
            ordenacao += !string.IsNullOrEmpty(ordenacao) ? "," : "";
            ordenacao += campo.StrValor;
        }

        return ordenacao;
    }
}
