﻿using Newtonsoft.Json;
using System;

namespace GAFNETBlazor.Models;

public class RetornoConsultaCNPJModel
{
    [JsonProperty("data_situacao")]
    public string DataSituacao { get; set; }
    public string Tipo { get; set; }
    public string Nome { get; set; }
    [JsonProperty("RAZAO SOCIAL")]
    public string Nome2 { set { Nome = value; } } // feito para buscar de várias fontes
    public string UF { get; set; }
    public string Telefone { get; set; }
    public string Email { get; set; }
    public string Situacao { get; set; }
    public string Bairro { get; set; }
    public string Logradouro { get; set; }
    public string Numero { get; set; }
    public string CEP { get; set; }
    public string Municipio { get; set; }
    public string Porte { get; set; }
    public string Abertura { get; set; }
    [JsonProperty("natureza_juridica")]
    public string NaturezaJuridica { get; set; }
    public string CNPJ { get; set; }
    [JsonProperty("ultima_atualizacao")]
    public DateTime UltimaAtualizacao { get; set; }
    public string Status { get; set; }
    public string Fantasia { get; set; }
    [JsonProperty("NOME FANTASIA")] 
    public string Fantasia2 { set { Fantasia = value; } } // feito para buscar de diferentes fontes
    public string Complemento { get; set; }
    [JsonProperty("motivo_situacao")]
    public string MotivoSituacao { get; set; }
    [JsonProperty("situacao_especial")]
    public string SituacaoEspecial { get; set; }
    [JsonProperty("data_situacao_especial")]
    public string DataSituacaoEspecial { get; set; }
    [JsonProperty("capital_social")]
    public string CapitalSocial { get; set; }
}
