﻿using GAFNETBlazor.Services;
using GAFNETBlazor.Services.Interfaces;

namespace GAFNETBlazor.Models
{
    public class TelefonePessoaModel
    {
        public long Id { get; set; }

        public long IdPessoa { get; set; }
        public string Telefone { get; set; }
        public bool EhCelular { get; set; }
        public bool EhFax { get; set; }
        public string DescEhCelular => EhCelular ? "Sim" : "Não";
        public string DescEhFax => EhFax ? "Sim" : "Não";

        public string TelefoneFormatado => UtilitarioService.TelefoneFormatado(Telefone);

        public PessoaModel Pessoa { get; set; }
    }
}
