﻿using FluentValidation;

namespace GAFNETBlazor.Models.Validations
{
    public class GrupoProdutoModelValidator : AbstractValidator<GrupoProdutoModel>
    {
        int tamanhoNome = 50;
        public GrupoProdutoModelValidator()
        {
            RuleFor(p => p.Nome).NotEmpty().WithMessage("O nome deve ser informado");
            RuleFor(p => p.Nome).MaximumLength(tamanhoNome).WithMessage($"O nome deve conter no máximo {tamanhoNome} caracteres");
        }
    }
}