﻿using FluentValidation;
using GAFNETLibrary.Models;

namespace GAFNETBlazor.Models.Validations
{
    public class LoginUserModelValidator : AbstractValidator<LoginUserModel>
    {
        public LoginUserModelValidator()
        {
            RuleFor(p => p.Email).NotEmpty().WithMessage("O e-mail deve ser informado");
            RuleFor(p => p.Password).NotEmpty().WithMessage("A senha deve ser informada");
        }
    }
}