﻿using GAFNETBlazor.ViewModels.Interfaces.Administrativo;
using Microsoft.AspNetCore.Components;
using Microsoft.JSInterop;
using Syncfusion.Blazor;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;

namespace GAFNETBlazor.Pages.Administrativo.Cadastros.Usuarios
{
    public class SetaSenhaUsuarioBase : ComponentBase
    {
        [Inject]
        protected ISetaSenhaUsuarioVM ViewModel { get; set; }
        [Inject]
        protected IJSRuntime JsRuntime { get; set; }
        protected SfDialog Dialogo { get; set; }
        protected SfTextBox SenhaTextBox;
        protected override void OnAfterRender(bool firstRender)
        {
            ViewModel.Dialogo = this.Dialogo;
            ViewModel.SenhaTextBox = SenhaTextBox;
        }
        protected override void OnInitialized()
        {
            base.OnInitialized();
            ViewModel.PropriedadeMudou += (o, e) => StateHasChanged();
        }
    }
}
