﻿using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;

namespace GAFNETBlazor.Pages.Usuario.Cadastros.Pessoas
{
    public partial class TabEnderecos : MeuComponentBase
    {
        [Parameter]
        public ICadastroPessoaVM ViewModel { get; set; }
        protected SfMaskedTextBox CEPTextBox;
        protected SfSpinner SpinnerEndereco;
        private Dictionary<string, object> HtmlAttributeLogradouro { get; set; }
        private Dictionary<string, object> HtmlAttributeNumero { get; set; }
        private Dictionary<string, object> HtmlAttributeBairro { get; set; }
        private Dictionary<string, object> HtmlAttributeComplemento { get; set; }

        protected override void OnAfterRender(bool firstRender)
        {
            ViewModel.CEPTextBox = CEPTextBox;
            ViewModel.SpinnerEndereco = SpinnerEndereco;
            HtmlAttributeLogradouro = new Dictionary<string, object>()
            {
                {"maxlength", "255" }
            };
            HtmlAttributeNumero = new Dictionary<string, object>()
            {
                {"maxlength", "60" }
            };
            HtmlAttributeBairro = new Dictionary<string, object>()
            {
                {"maxlength", "60" }
            };
            HtmlAttributeComplemento = new Dictionary<string, object>()
            {
                {"maxlength", "60" }
            };
        }

    }
}
