﻿using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using Microsoft.AspNetCore.Components;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Spinner;

namespace GAFNETBlazor.Pages.Usuario.Cadastros.Pessoas
{
    public partial class TabFinanceiro : MeuComponentBase
    {
        [Parameter]
        public ICadastroPessoaVM ViewModel { get; set; }
        protected SfSpinner SpinnerFinanceiro;
        protected SfNumericTextBox<long?> IdPlanoContaInput;
        protected SfNumericTextBox<long?> IdCentroCustoInput;
        protected SfNumericTextBox<long?> IdTipoDeOperacaoInput;
        protected SfNumericTextBox<long?> IdCondPgtoInput;
        protected SfNumericTextBox<long?> IdHistoricoInput;
        protected override void OnAfterRender(bool firstRender)
        {
            ViewModel.SpinnerFinanceiro = SpinnerFinanceiro;
            ViewModel.IdPlanoContaInput = IdPlanoContaInput;
            ViewModel.IdCentroCustoInput = IdCentroCustoInput;
            ViewModel.IdCondPgtoInput = IdCondPgtoInput;
            ViewModel.IdTipoDeOperacaoInput = IdTipoDeOperacaoInput;
            ViewModel.IdHistoricoInput = IdHistoricoInput;
        }
    }
}
