﻿using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using Microsoft.AspNetCore.Components;
using Microsoft.JSInterop;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using System.Threading.Tasks;

namespace GAFNETBlazor.Pages.Usuario.Manutencao
{
    public partial class TrocaSenhaUsuario : ComponentBase
    {
        [Inject]
        protected ITrocaSenhaUsuarioVM ViewModel { get; set; }
        [Inject]
        protected IJSRuntime JsRuntime { get; set; }
        protected SfDialog Dialogo { get; set; }
        protected SfTextBox SenhaTextBox;
        protected override void OnAfterRender(bool firstRender)
        {
            ViewModel.Dialogo = this.Dialogo;
            ViewModel.SenhaTextBox = SenhaTextBox;
        }
        protected override async Task OnInitializedAsync()
        {
            await base.OnInitializedAsync();
            ViewModel.PropertyChanged += (o, e) => StateHasChanged();
        }
    }
}
