﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class EntradaSaidaService : IEntradaSaidaService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> itensEntradaSaida = new()
            {
                new ListaModel{Valor = (int)EntradaSaidaHistorico.Entrada, Descricao = "Entrada"},
                new ListaModel{Valor = (int)EntradaSaidaHistorico.Saida, Descricao = "Saída"}
            };
            return itensEntradaSaida;
        }
    }
}
