﻿using GAFNETLibrary.Enums;
using System;
using System.Threading.Tasks;
using GAFNETLibrary.Models;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface ICidadesService : IGravaConsultaService
    {
        Task<RespostaAPIModel> GetByNameAndUFAsync(Uri uriBase, string nome, string uf, StatusAtivo status);
        Task<RespostaAPIModel> GetByCdIBGEAsync(Uri uriBase, int? cdIBGE, StatusAtivo status);
        //Task<RespostaAPIModel> GetByIdAsync(Uri uriBase, long id, StatusAtividade status);
    }
}
