﻿using GAFNETBlazor.Models;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using System.Threading.Tasks;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IExibicaoFaturamentoService
    {
        Task ExibirById(IFaturamentoBaseVM viewModel, long id, int tipoFaturamento);
        Task ExibirByNumeroAndSerieAndTipo(IFaturamentoBaseVM viewModel);
        Task ExibirByFaturamento(IFaturamentoBaseVM viewModel, FaturamentoModel faturamento);
    }
}
