﻿using GAFNETLibrary.Enums;
using System;
using System.Threading.Tasks;
using GAFNETLibrary.Models;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IGravaConsultaService
    {
        Task<RespostaAPIModel> GetAsync(Uri uriBase, StatusAtivo status);
        Task<RespostaAPIModel> GetAsync(Uri uriBase, string campos, string filtros, string order, string top);
        Task<RespostaAPIModel> GetByIdAsync(Uri uriBase, long id, StatusAtivo status);
        Task<RespostaAPIModel> PostAsync<T>(T entity);
        Task<RespostaAPIModel> PutAsync<T>(T entity);
    }
}
