﻿using GAFNETBlazor.Models;
using GAFNETLibrary.Models;
using System;
using System.Threading.Tasks;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IPagarReceberService : IGravaConsultaService
    {
        Task<RespostaAPIModel> GetDocumento(Uri uriBase, int tipo, long idPessoa, string nDocto, string serieDocto);
        Task<RespostaAPIModel> CriarAlterarAsync<T>(T entity);
        Task<RespostaAPIModel> GerarItensAsync(PagarReceberModel pagarReceber);
    }
}
