﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using System;
using System.Threading.Tasks;
using GAFNETLibrary.Models;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IProdutosService : IGravaConsultaService
    {
        Task<RespostaAPIModel> GetByCodigoAsync(Uri uriBase, string codigo, StatusAtivo status);
        Task<RespostaAPIModel> GetByCodigoAsync(Uri uriBase, string codigo, string campos, StatusAtivo status);
        //Task<RespostaAPIModel> PostAsync(ProdutoModel produto);
        //Task<RespostaAPIModel> PutAsync(ProdutoModel produto);
    }
}
