﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using System.Net.Http;
using System.Threading.Tasks;
using GAFNETLibrary.Models;

namespace GAFNETBlazor.Services.Interfaces
{
    public interface IUsuariosService
    {
        Task<HttpResponseMessage> CriarUsuario(UsuarioModel usuario);
        Task<HttpResponseMessage> GetUsuarios();
        Task<HttpResponseMessage> GetUsuarioByEMail(string email, StatusAtivo status);
        Task<HttpResponseMessage> AlterarUsuario(UsuarioModel usuario);
        Task<HttpResponseMessage> AlterarSenhaUsuario(AlteraSenhaUsuarioModel usuario);
    }
}
