﻿using GAFNETBlazor.Models;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public static class ListaSCANCService
    {
        public static List<SCANCNFModel> ItensNF => new()
        {
            new SCANCNFModel
            {
                Codigo = "99600",
                Descricao = "ALCOOL ANIDRO"
            },
            new SCANCNFModel
            {
                Codigo = "64300",
                Descricao = "DIESEL",
            },
            new SCANCNFModel
            {
                Codigo = "62006",
                Descricao = "GASOLINA A"
            },
            new SCANCNFModel
            {
                Codigo = "62448",
                Descricao = "GASOLINA A PREMIUM, 62Y"
            },
            new SCANCNFModel
            {
                Codigo = "62103",
                Descricao = "GASOLINA B"
            },
            new SCANCNFModel
            {
                Codigo = "62154",
                Descricao = "GASOLINA C"
            },
            new SCANCNFModel
            {
                Codigo = "62155",
                Descricao = "GASOLINA C ADITIVADA"
            },
            new SCANCNFModel
            {
                Codigo = "62456",
                Descricao = "GASOLINA C PREMIUM"
            },
            new SCANCNFModel
            {
                Codigo = "62308",
                Descricao = "GASOLINA DE AVIACAO"
            },
            new SCANCNFModel
            {
                Codigo = "22403",
                Descricao = "GLP",
            },
            new SCANCNFModel
            {
                Codigo = "66575",
                Descricao = "OLEO COMBUSTIVEL TIPO 1A"
            },
            new SCANCNFModel
            {
                Codigo = "66664",
                Descricao = "OLEO COMBUSTIVEL TIPO 1B"
            },
            new SCANCNFModel
            {
                Codigo = "65583",
                Descricao = "OLEO COMBUSTIVEL TIPO 2A"
            },
            new SCANCNFModel
            {
                Codigo = "66591",
                Descricao = "OLEO COMBUSTIVEL TIPO 3A"
            },
            new SCANCNFModel
            {
                Codigo = "66680",
                Descricao = "OLEO COMBUSTIVEL TIPO 3B"
            },
            new SCANCNFModel
            {
                Codigo = "66605",
                Descricao = "OLEO COMBUSTIVEL TIPO 4A"
            },
            new SCANCNFModel
            {
                Codigo = "66699",
                Descricao = "OLEO COMBUSTIVEL TIPO 4B"
            },
            new SCANCNFModel
            {
                Codigo = "66702",
                Descricao = "OLEO COMBUSTIVEL TIPO 5B"
            },
            new SCANCNFModel
            {
                Codigo = "66621",
                Descricao = "OLEO COMBUSTIVEL TIPO 6A",
            },
            new SCANCNFModel
            {
                Codigo = "66710",
                Descricao = "OLEO COMBUSTIVEL TIPO 6B"
            },
            new SCANCNFModel
            {
                Codigo = "66630",
                Descricao = "OLEO COMBUSTIVEL TIPO 7A"
            },
            new SCANCNFModel
            {
                Codigo = "66729",
                Descricao = "OLEO COMBUSTIVEL TIPO 7B",
            },
            new SCANCNFModel
            {
                Codigo = "66648",
                Descricao = "OLEO COMBUSTIVEL TIPO 8A"
            },
            new SCANCNFModel
            {
                Codigo = "64106",
                Descricao = "QUEROSENE DE AVIACAO",
            },
            new SCANCNFModel
            {
                Codigo = "63991",
                Descricao = "QUEROSENE ILUMINANTE"
            },
            new SCANCNFModel
            {
                Codigo = "99900",
                Descricao = "OLEO FUSEL"
            },
            new SCANCNFModel
            {
                Codigo = "64432",
                Descricao = "BIODIESEL B100"
            },
            new SCANCNFModel
            {
                Codigo = "64440",
                Descricao = "BIODIESEL BX-INTERIOR COMUM"
            },
            new SCANCNFModel
            {
                Codigo = "64475",
                Descricao = "BIODIESEL BX-INTERIOR ADITIVADO",
            },
            new SCANCNFModel
            {
                Codigo = "64483",
                Descricao = "BIODIESEL BX-METROP. COMUM",
            },
            new SCANCNFModel
            {
                Codigo = "64491",
                Descricao = "BIODIESEL BX-METROP. ADITIVADO",
            }
        };

        public static List<SCANCNFModel> ItensEstoque => new()
        {
            new SCANCNFModel
            {
                Codigo = "DSL",
                Descricao = "DIESEL"
            },
            new SCANCNFModel
            {
                Codigo = "GSL",
                Descricao = "GASOLINA",
            },
            new SCANCNFModel
            {
                Codigo = "GSV",
                Descricao = "GASOLINA DE AVIAÇÃO"
            },
            new SCANCNFModel
            {
                Codigo = "GLP",
                Descricao = "GLP"
            },
            new SCANCNFModel
            {
                Codigo = "OCB",
                Descricao = "OLEO COMBUSTIVEL"
            },
            new SCANCNFModel
            {
                Codigo = "QAV",
                Descricao = "QUEROSENE AVIACAO"
            },
            new SCANCNFModel
            {
                Codigo = "QRS",
                Descricao = "QUEROSENE"
            }
        };
    }
}
