﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposCTEHistoricoService : ITiposCTEHistoricoService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> itensTipo = new()
            {
                new ListaModel{Valor = (int)TipoCTEHistorico.Compra, Descricao = "Compra"},
                new ListaModel{Valor = (int)TipoCTEHistorico.Venda, Descricao = "Venda"}
            };
            return itensTipo;
        }
    }
}
