﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposCadastroPessoaService : ITiposCadastroPessoaService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> tiposPessoa = new()
            {
                new ListaModel{Valor = (int)TipoCadastroPessoa.Cliente, Descricao = "Cliente"},
                new ListaModel{Valor = (int)TipoCadastroPessoa.Fornecedor, Descricao = "Fornecedor"},
                new ListaModel{Valor = (int)TipoCadastroPessoa.Transportadora, Descricao = "Transportadora"},
                new ListaModel{Valor = (int)TipoCadastroPessoa.Vendedor, Descricao = "Vendedor"},
            };
            return tiposPessoa;
        }
    }
}
