﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposDespesaPlanoDeContaService : ITiposDespesaPlanoDeContaService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> itens = new()
            {
                new ListaModel{Valor = (int)TipoDespesaContaPlano.NaoAplicavel, Descricao = "0 - Não Aplicável"},
                new ListaModel{Valor = (int)TipoDespesaContaPlano.Administrativa, Descricao = "1 - Administrativa"},
                new ListaModel{Valor = (int)TipoDespesaContaPlano.Financeira, Descricao = "2 - Financeira"},
                new ListaModel{Valor = (int)TipoDespesaContaPlano.CustoVenda, Descricao = "3 - Custo Venda"},
                
            };
            return itens;
        }
    }
}
