﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposFormularioService : ITiposFormularioService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> itensTipoFormulario = new()
            {
                new ListaModel{Valor = (int)TipoFormulario.ProdutosEServicos, Descricao = "Produtos e Serviços"},
                new ListaModel{Valor = (int)TipoFormulario.Servicos, Descricao = "Serviços"},
                new ListaModel{Valor = (int)TipoFormulario.Produtos, Descricao = "Produtos"}

            };
            return itensTipoFormulario;
        }
    }
}
