﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposFreteService : ITiposFreteService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> itensTipoProduto = new()
            {
                new ListaModel{Valor = (int)TipoFrete.ContratFreteContaRemetente, Descricao = "0 - Contratação do Frete por conta do Remetente(CIF)"},
                new ListaModel{Valor = (int)TipoFrete.ContratFreteContaDestinatario, Descricao = "1 - Contratação do Frete por conta do Destinatário(FOB)"},
                new ListaModel{Valor = (int)TipoFrete.ContratFreteContaTerceiros, Descricao = "2 - Contratação do Frete por conta de Terceiros"},
                new ListaModel{Valor = (int)TipoFrete.TranspProprioContaRemetente, Descricao = "3 - Transporte Próprio por conta do Remetente"},
                new ListaModel{Valor = (int)TipoFrete.TranspProprioContaDestinatario, Descricao = "4 - Transporte Próprio por conta do Destinatário"},
                new ListaModel{Valor = (int)TipoFrete.SemOcorrenciaFrete, Descricao = "9 - Sem Ocorrência de Transporte"},
            };
            return itensTipoProduto;

        }
    }
}
