﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposNFHistoricoService : ITiposNFHistoricoService
    {
        public List<ListaModel> Itens()
        {
            var tipos = new List<ListaModel>
            {
                new ListaModel{Valor = (int)TipoNFHistorico.Normal, Descricao = "Normal"},
                new ListaModel{Valor = (int)TipoNFHistorico.Retorno, Descricao = "Retorno"},
                new ListaModel{Valor = (int)TipoNFHistorico.Importacao, Descricao = "Importação"},
                new ListaModel{Valor = (int)TipoNFHistorico.Exportacao, Descricao = "Exportação"},
                new ListaModel{Valor = (int)TipoNFHistorico.ConhecimentoFrete, Descricao = "Conhecimento de Frete"},
                new ListaModel{Valor = (int)TipoNFHistorico.Estorno, Descricao = "Estorno"},
            };
            return tipos;
        }
    }
}
