﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposPessoaService : ITiposPessoaService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> tiposPessoa = new()
            {
                new ListaModel{Valor = (int)TipoPessoa.Juridica, Descricao = "Jurídica"},
                new ListaModel{Valor = (int)TipoPessoa.Fisica, Descricao = "Física"},
            };
            return tiposPessoa;
        }
    }
}
