﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposPlanoDeContaService : ITiposPlanoDeContaService
    {
        public List<ListaModel> Itens()
        {
            List<ListaModel> itens = new()
            {
                new ListaModel{Valor = (int)TipoPlanoDeConta.Analitica, Descricao = "0 - Analítica"},
                new ListaModel{Valor = (int)TipoPlanoDeConta.Sintetica, Descricao = "01 - Sintética"}
            };
            return itens;
        }
    }
}
