﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposReducaoICMSSTService : ITiposReducaoICMSSTService
    {
        public List<ListaModel> Itens()
        {
            var tiposReducao = new List<ListaModel>
            {
                new ListaModel{Valor = (int?)TipoReducaoICMSST.NaBaseDeCalculo, Descricao = "Na base de cálculo"},
                new ListaModel{Valor = (int?)TipoReducaoICMSST.NaMargemDaST, Descricao = "No margem da ST"}
            };
            return tiposReducao;
        }
    }
}
