﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposReducaoICMSService : ITiposReducaoICMSService
    {
        public List<ListaModel> Itens()
        {
            var tiposReducao = new List<ListaModel>
            {
                new ListaModel{Valor = (int?)TipoReducaoICMS.NaBaseDeCalculo, Descricao = "Na base de cálculo"},
                new ListaModel{Valor = (int?)TipoReducaoICMS.NoValorDoICMS, Descricao = "No valor do ICMS"}
            };
            return tiposReducao;
        }
    }
}
