﻿using GAFNETLibrary.Enums;
using GAFNETBlazor.Models;
using GAFNETBlazor.Services.Interfaces;
using System.Collections.Generic;

namespace GAFNETBlazor.Services
{
    public class TiposRegimeTributacaoService : ITiposRegimeTributacaoService
    {
        public List<ListaModel> Itens()
        {
            var tiposRegTrib = new List<ListaModel>
            {
                new ListaModel{Valor = (int?)TipoRegimeTributacao.LucroReal, Descricao = "Lucro Real"},
                new ListaModel{Valor = (int?)TipoRegimeTributacao.Presumido, Descricao = "Presumido"},
                new ListaModel{Valor = (int?)TipoRegimeTributacao.Simples, Descricao = "Simples"}
            };
            return tiposRegTrib;
        }
    }
}
