﻿using System.Linq;

namespace GAFNETBlazor.ViewModels.Administrativo.CadastroUsuario
{
    public static class RetiraClaimCadastroUsuarioVM
    {
        public static void Retirar(CadastroUsuarioVM viewModel)
        {
            if (string.IsNullOrEmpty(viewModel.ClaimUsuarioSelecionada))
            {
                return;
            }

            var usuarioClaim = viewModel.UsuarioModel.Claims.FirstOrDefault(c => c.ClaimType == viewModel.ClaimUsuarioSelecionada);
            if (usuarioClaim != null)
            {
                viewModel.UsuarioModel.Claims.Remove(usuarioClaim);
            }
            viewModel.ClaimUsuarioSelecionada = string.Empty;
        }
    }
}
