﻿using GAFNETLibrary.Models;
using System.Linq;

namespace GAFNETBlazor.ViewModels.Administrativo.CadastroUsuario
{
    public static class RetiraRoleCadastroUsuarioVM
    {
        public static void Retirar(CadastroUsuarioVM viewModel)
        {
            if (string.IsNullOrEmpty(viewModel.RoleUsuarioSelecionada.Id))
            {
                return;
            }

            var usuarioRole = viewModel.UsuarioModel.Roles.FirstOrDefault(c => c.IdRole == viewModel.RoleUsuarioSelecionada.Id);
            if (usuarioRole != null)
            {
                viewModel.UsuarioModel.Roles.Remove(usuarioRole);
            }
            viewModel.RoleUsuarioSelecionada = new RoleModel();
        }
    }
}
