﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Administrativo
{
    public interface ICadastroClaimVM : ICadastroBaseVM
    {
        bool DlgClaimsVisible { get; set; }
        ClaimModel Claim { get; set; }
        ClaimModel ClaimSelecionada { get; set; }
        List<ClaimModel> Claims { get; set; }
        SfTextBox NomeTextBox { get; set; }
        void AoSelecionarClaim(RowSelectEventArgs<ClaimModel> e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void AoClicarNovoRegistroBtn(MouseEventArgs e);
        void AoFecharDlgClaims(object e);
        void AoCriarNomeTextBox(object e);
        void AoClicarOkBtnDlgClaims(MouseEventArgs e);
        SfDialog Dlg { get; set; }

    }
}
