﻿using GAFNETBlazor.Models;
using GAFNETLibrary.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Popups;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Administrativo
{
    public interface IUsuarioBaseVM : ICadastroBaseVM
    {
        bool DialogoUsuariosVisible { get; set; }
        UsuarioModel UsuarioModel { get; set; }
        UsuarioModel UsuarioSelecionado { get; set; }
        List<UsuarioModel> Usuarios { get; set; }
        SfDialog Dialogo { get; set; }
        void AoSelecionarUsuario(RowSelectEventArgs<UsuarioModel> e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void AoFecharDialogoGridUsuarios(object e);
        void AoClicarOkBtnDialogoGridUsuarios(MouseEventArgs e);
    }
}
