﻿using GAFNETBlazor.Models;
using GAFNETLibrary.Models;
using System.Collections.Generic;
using System.ComponentModel;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Interfaces
{
    public interface ILoginViewModel
    {
        LoginUserModel LoginUserModel { get; set; }
        string MensagemErro { get; set; }
        bool DialogoVisible { get; set; }
        List<string> ErrosValidacaoFormulario { get; }
        Task Enviar();
        event PropertyChangedEventHandler PropertyChanged;
        void AoFecharDialogo(object e);
        bool EnviarBtnDisabled { get; set; }

    }
}
