﻿using GAFNETLibrary.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.FileProviders;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Interfaces.Representante
{
    public interface IDownloadsVM : ICadastroBaseVM
    {
        public string UrlRedirecionamento { get; }
        bool PodeAcessar { get; }
        string LogDownload { get; set; }
        Task AoClicarDownloadBtn();
        public List<IFileInfo> ArquivosParaDownload { get; }
        IFileInfo DownloadSelecionado { get; set; }

        void AoSelecionarArquivoDownload(RowSelectEventArgs<IFileInfo> e);
        Task<ResultadoModel> AoClicarSelecionarBtnGridDownloads(CommandClickEventArgs<IFileInfo> e);
        void GetArquivosParaDownload();
    }
}
