﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario;

public interface ICadastroCentroDeCustoVM : ICadastroBaseVM
{
    CentroDeCustoModel CentroDeCusto { get; set; }
    CentroDeCustoModel CentroDeCustoSelecionado { get; set; }
    List<CentroDeCustoModel> CentrosDeCusto { get; set; }
    SfTextBox NomeTextBox { get; set; }
    bool PodeAcessar { get; }
    bool DlgCentrosDeCustoVisible { get; set; }
    string UrlRedirecionamento { get; }
    SfNumericTextBox<long> IdTextBox { get; set; }

    void AoSelecionarCentroDeCusto(RowSelectEventArgs<CentroDeCustoModel> e);
    void AoClicarNovoRegistroBtn(MouseEventArgs e);
    void AoClicarLocalizarBtn(MouseEventArgs e);
    void IdAoSairAsync();
    void AoFecharDlgCentrosDeCusto(object e);
    void AoClicarOkBtnDlgCentrosDeCusto(MouseEventArgs e);
    void AoClicarSelecionarBtnGridCentrosDeCusto(CommandClickEventArgs<CentroDeCustoModel> e);
    Task AoPressionarTeclaCentrosDeCustoGrid(KeyboardEventArgs args);
}
