﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface ICadastroGrupoProdutoVM : ICadastroBaseVM
    {
        GrupoProdutoModel Grupo { get; set; }
        GrupoProdutoModel GrupoSelecionado { get; set; }
        List<GrupoProdutoModel> Grupos { get; set; }
        SfTextBox NomeTextBox { get; set; }
        SfDialog Dlg { get; set; }
        bool PodeAcessar { get; }
        bool DlgGruposVisible { get; set; }
        string UrlRedirecionamento { get; }
        void AoSelecionarGrupo(RowSelectEventArgs<GrupoProdutoModel> e);
        void AoClicarNovoRegistroBtn(MouseEventArgs e);
        void AoCriarNomeTextBox(object e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void IdAoSairAsync();
        void AoFecharDlgGrupos(object e);
        void AoClicarOkBtnDlgGrupos(MouseEventArgs e);
    }
}
