﻿using GAFNETBlazor.Models;
using Microsoft.AspNetCore.Components.Web;
using Syncfusion.Blazor.Grids;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Popups;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface ICadastroUnidadeProdutoVM : ICadastroBaseVM
    {
        UnidadeProdutoModel Unidade { get; set; }
        UnidadeProdutoModel UnidadeSelecionada { get; set; }
        List<UnidadeProdutoModel> Unidades { get; set; }
        SfTextBox CodigoTextBox { get; set; }
        SfDialog Dlg { get; set; }
        bool PodeAcessar { get; }
        bool DlgUnidadesVisible { get; set; }
        string UrlRedirecionamento { get; }
        SfTextBox DescricaoTextBox { get; set; }

        void AoSelecionarUnidade(RowSelectEventArgs<UnidadeProdutoModel> e);
        void AoClicarNovoRegistroBtn(MouseEventArgs e);
        void AoCriarCodigoTextBox(object e);
        void AoClicarLocalizarBtn(MouseEventArgs e);
        void IdAoSairAsync();
        void AoFecharDlgUnidades(object e);
        void AoClicarOkBtnDlgUnidades(MouseEventArgs e);
        void AoClicarSelecionarBtnGridUnidades(CommandClickEventArgs<UnidadeProdutoModel> e);

    }
}
