﻿using GAFNETBlazor.Models;
using Syncfusion.Blazor.Inputs;
using Syncfusion.Blazor.Spinner;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Interfaces.Usuario
{
    public interface IParametrizacaoVM : ICadastroBaseVM
    {
        ParametrizacaoModel Parametrizacao { get; set; }
        bool PodeAcessar { get; }
        string UrlRedirecionamento { get; }
        IEnumerable<ListaModel> TiposEmissaoNFe { get; set; }
        IEnumerable<ListaModel> TiposAmbienteNFe { get; set; }
        void GetTiposEmissaoNFe();
        void GetTiposAmbienteNFe();
        Task GetParametrizacao();
        Task AoSelecionarCertificadoUpload(UploadChangeEventArgs args);
        Task AoSelecionarLogoDANFENFeUpload(UploadChangeEventArgs args);
    }
}
