﻿using GAFNETBlazor.Models;
using System.Linq;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroPessoa
{
    public static class RetiraEMailCadastroPessoa
    {
        public static Task Retirar(CadastroPessoaVM viewModel)
        {
            var emailPessoa = viewModel.Pessoa.EMails.FirstOrDefault(e => e.EMail == viewModel.EMail.EMail);
            if (emailPessoa != null)
            {
                viewModel.Pessoa.EMails.Remove(emailPessoa);
            }
            
            viewModel.EMail = new EMailPessoaModel();
            return Task.CompletedTask;
        }
    }
}
