﻿using GAFNETBlazor.Models;
using System.Linq;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroPessoa
{
    public static class RetiraEnderecoCadastroPessoa
    {
        public async static Task<EnderecoPessoaModel> Retirar(CadastroPessoaVM viewModel)
        {
            var enderecoPessoa = viewModel.Pessoa.Enderecos.FirstOrDefault(e => e.Equals(viewModel.Endereco));
            if (enderecoPessoa != null)
            {
                viewModel.Pessoa.Enderecos.Remove(enderecoPessoa);
            }
            
            viewModel.Endereco = await viewModel.GetEnderecoVazio();
            return viewModel.Endereco;
        }
    }
}
