﻿using GAFNETBlazor.Models;
using System.Linq;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroPessoa
{
    public static class RetiraTransportadoraCadastroPessoa
    {
        public static Task Retirar(CadastroPessoaVM viewModel)
        {
            var transportadoraPessoa = viewModel.Pessoa.TransportadorasPessoa.FirstOrDefault(e => e.IdTransportadora == viewModel.TransportadoraPessoaSelecionada.IdTransportadora);
            if (transportadoraPessoa != null)
            {
                viewModel.Pessoa.TransportadorasPessoa.Remove(transportadoraPessoa);
            }

            viewModel.Transportadora = new PessoaModel();
            return Task.CompletedTask;
        }
    }
}
