﻿using GAFNETBlazor.Models;
using System.Linq;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroPessoa
{
    public static class RetiraVendedorCadastroPessoa
    {
        public static Task Retirar(CadastroPessoaVM viewModel)
        {
            var vendedorPessoa = viewModel.Pessoa.VendedoresPessoa.FirstOrDefault(e => e.IdVendedor == viewModel.VendedorPessoa.IdVendedor);
            if (vendedorPessoa != null)
            {
                viewModel.Pessoa.VendedoresPessoa.Remove(vendedorPessoa);
            }

            viewModel.VendedorPessoa = new VendedorPessoaModel { Vendedor = new PessoaModel() };
            return Task.CompletedTask;
        }
    }
}
