﻿using GAFNETBlazor.Models;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Usuario.CadastroProduto
{
    public static class LimpaTelaCadastroProduto
    {
        public static void Limpar(CadastroProdutoVM viewModel)
        {
            viewModel.ErrosValidacaoFormulario.Clear();
            viewModel.Produto = new ProdutoModel
            {
                Codigo = viewModel.Parametrizacao != null && viewModel.Parametrizacao.CodigoAutomaticoNoProduto ? "0" : "",
                Aliquota = new AliquotaModel(), 
                Unidade = new UnidadeProdutoModel(), 
                ClassificacaoFiscal = new ClassificacaoFiscalModel(), 
                Subgrupo = new SubgrupoProdutoModel 
                { 
                    Grupo = new GrupoProdutoModel() 
                } 
            };
        }
    }
}
