﻿using GAFNETBlazor.Models;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using System.Linq;
using System.Threading.Tasks;

namespace GAFNETBlazor.ViewModels.Usuario.Faturamento
{
    public static class RetiraVendedorFaturamento
    {
        public static Task Retirar(IFaturamentoVM viewModel)
        {
            var vendedorFaturamento = viewModel.Faturamento.Vendedores.FirstOrDefault(e => e.IdVendedor == viewModel.VendedorFaturamento.IdVendedor);
            if (vendedorFaturamento != null)
            {
                viewModel.Faturamento.Vendedores.Remove(vendedorFaturamento);
            }

            viewModel.VendedorFaturamento = new VendedorFaturamentoModel();
            return Task.CompletedTask;
        }
    }
}
