﻿using GAFNETBlazor.Models;
using GAFNETBlazor.ViewModels.Interfaces.Usuario;
using System.Linq;

namespace GAFNETBlazor.ViewModels.Usuario.FaturamentoBase
{
    public static class RetiraItemFaturamento
    {
        public static void Retirar(IFaturamentoBaseVM viewModel)
        {
            var item = viewModel.Faturamento.Itens?.FirstOrDefault(e => e.Produto.Id == viewModel.ItemFaturamento.Produto.Id);
            if (item != null)
            {
                viewModel.Faturamento.Itens.Remove(item);
            }

            viewModel.ItemFaturamento = new ItemFaturamentoModel();
        }
    }
}
