﻿window.BoldReports = {
    RenderViewer: function (elementID, reportViewerOptions) {
        $("#" + elementID).boldReportViewer({
            reportPath: reportViewerOptions.reportName,
            reportServiceUrl: reportViewerOptions.serviceURL,
            locale: "pt-BR",
            ajaxBeforeLoad: function (args) {
                //Passing custom data to server      

                var jsonData = {
                    campos: reportViewerOptions.campos,
                    ordenacao: reportViewerOptions.ordenacao,
                    QtdRegistros: reportViewerOptions.qtdRegistros,
                    filtros: reportViewerOptions.filtros,
                    uriBase: reportViewerOptions.uriBase,
                    servicoDados: reportViewerOptions.servicoDados
                };
                args.data = jsonData;

            }

        });


    }
}

window.DisposeReportsObject = () => {
    var reportViewerElement = document.querySelector('#report-viewer');
    if (reportViewerElement) {
        $(reportViewerElement).data('boldReportViewer').destroy(); //Destroy the report viewer processing objects.
    }
    return true;
}

